Anonymous Login
2019-12-06 03:10 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001467v3.2 ReleaseFilespublic2014-07-16 21:27
Reporterfullpower 
Assigned Tocaseydk 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001467: Files access erro passage V3.0 to V3.1
Descriptionhello,

i have got big problem to access and put a other file (user: admin all modules and permission) :
 - Access Denied "You have attempted to access an item in web2Project without the sufficient permissions to do so. Please contact the web2Project System Administrator"
 - put file, after: "An invalid file handle was passed to the function"

Best regards
Steps To Reproducepassage v3.0 vers 3.1
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003253

opto (manager)

I personally would call it a block if neither old nor new files are accessible.

That makes w2p totally unusable.

Klaus

~0003257

opto (manager)

solution (at least partially see: https://github.com/opto/web2project/tree/bug1467

~0003259

opto (manager)

the above solution is for new files in root folder.

w2p still does not store/display files attached to a project.
new files are not displayed in files tab of project.
They are visible in root folder under files menu.

The sql is totally different from the sql created in a December 2013 version.

see http://support.web2project.net/questions/657/sql-error-in-display-files-in-32.html

~0003260

fullpower (reporter)

Last edited: 2014-03-07 01:29

View 2 revisions

Thank you

I modified the file "fileviewer.php" to put : "$q->addTable('projects', 'pr');"
Now,it's possible to read the old files.

But when i put a other file. It is not possible to read this after.
he said :" An invalid file handle was passed to the function"

it is a big problem for all projects that i have got in WEB2Project.

Have you got a litle solution for V3.1? I think, it is not possible to return on V3.0 ( Mysql, etc...)

I test v3.2 ---> some problems ( user, new file impossible,...) It is not mature

Best regards

~0003266

caseydk (administrator)

Resolved in development:

https://github.com/web2project/web2project/commit/ecb7b5b241ce131b58d2dd67a51141c1837162c9
+Notes

-Issue History
Date Modified Username Field Change
2014-03-03 03:09 fullpower New Issue
2014-03-03 10:55 opto Note Added: 0003253
2014-03-03 10:55 opto Severity major => block
2014-03-03 13:21 opto Note Added: 0003257
2014-03-04 12:14 opto Note Added: 0003259
2014-03-06 04:59 fullpower Note Added: 0003260
2014-03-07 01:29 fullpower Note Edited: 0003260 View Revisions
2014-03-13 22:17 caseydk Target Version => 3.2
2014-03-15 00:07 caseydk Note Added: 0003266
2014-03-15 00:07 caseydk Status new => resolved
2014-03-15 00:07 caseydk Resolution open => fixed
2014-03-15 00:07 caseydk Assigned To => caseydk
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:27 caseydk Status resolved => closed
+Issue History